// Generated by gencpp from file pick_and_delivery/RoomAddresseeResponse.msg
// DO NOT EDIT!


#ifndef PICK_AND_DELIVERY_MESSAGE_ROOMADDRESSEERESPONSE_H
#define PICK_AND_DELIVERY_MESSAGE_ROOMADDRESSEERESPONSE_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace pick_and_delivery
{
template <class ContainerAllocator>
struct RoomAddresseeResponse_
{
  typedef RoomAddresseeResponse_<ContainerAllocator> Type;

  RoomAddresseeResponse_()
    : response()  {
    }
  RoomAddresseeResponse_(const ContainerAllocator& _alloc)
    : response(_alloc)  {
  (void)_alloc;
    }



   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _response_type;
  _response_type response;





  typedef boost::shared_ptr< ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator> const> ConstPtr;

}; // struct RoomAddresseeResponse_

typedef ::pick_and_delivery::RoomAddresseeResponse_<std::allocator<void> > RoomAddresseeResponse;

typedef boost::shared_ptr< ::pick_and_delivery::RoomAddresseeResponse > RoomAddresseeResponsePtr;
typedef boost::shared_ptr< ::pick_and_delivery::RoomAddresseeResponse const> RoomAddresseeResponseConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator1> & lhs, const ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator2> & rhs)
{
  return lhs.response == rhs.response;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator1> & lhs, const ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace pick_and_delivery

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "6de314e2dc76fbff2b6244a6ad70b68d";
  }

  static const char* value(const ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x6de314e2dc76fbffULL;
  static const uint64_t static_value2 = 0x2b6244a6ad70b68dULL;
};

template<class ContainerAllocator>
struct DataType< ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "pick_and_delivery/RoomAddresseeResponse";
  }

  static const char* value(const ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "string response\n"
"\n"
;
  }

  static const char* value(const ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.response);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct RoomAddresseeResponse_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::pick_and_delivery::RoomAddresseeResponse_<ContainerAllocator>& v)
  {
    s << indent << "response: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.response);
  }
};

} // namespace message_operations
} // namespace ros

#endif // PICK_AND_DELIVERY_MESSAGE_ROOMADDRESSEERESPONSE_H
